org.apache.hc.core5.http

## Interface EntityDetails

- All Known Subinterfaces:
    AsyncEntityProducer, HttpEntity
  All Known Implementing Classes:
    AbstractBinAsyncEntityProducer, AbstractCharAsyncEntityProducer, AbstractClassicEntityProducer, AbstractHttpEntity, AsyncEntityProducerWrapper, BasicAsyncEntityProducer, BasicEntityDetails, BasicHttpEntity, BufferedHttpEntity, ByteArrayEntity, ByteBufferEntity, DigestingEntityProducer, EntityTemplate, FileEntity, FileEntityProducer, HttpEntityWrapper, IncomingEntityDetails, InputStreamEntity, NullEntity, PathEntity, ReactiveEntityProducer, SerializableEntity, StringAsyncEntityProducer, StringEntity

      public interface EntityDetails

  Details of an entity transmitted by a message.
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentEncoding()` Returns content encoding of the entity, if known.
    `long` | `getContentLength()` Returns length of the entity, if known.
    `String` | `getContentType()` Returns content type of the entity, if known.
    `Set<String>` | `getTrailerNames()` Preliminary declaration of trailing headers.
    `boolean` | `isChunked()` Returns chunked transfer hint for this entity.

- - ### Method Detail

    - #### getContentLength

          long getContentLength()

      Returns length of the entity, if known.

    - #### getContentType

          String getContentType()

      Returns content type of the entity, if known.

    - #### getContentEncoding

          String getContentEncoding()

      Returns content encoding of the entity, if known.

    - #### isChunked

          boolean isChunked()

      Returns chunked transfer hint for this entity.

      The behavior of wrapping entities is implementation dependent, but should respect the primary purpose.

    - #### getTrailerNames

          Set<String> getTrailerNames()

      Preliminary declaration of trailing headers.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.